Subject: Re: linux-next: usb tree fix (Was: Re: linux-next: Tree for July 29)

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 30 Jul 2008 21:38:47 +0200

On Wednesday 30 July 2008, Stephen Rothwell wrote:
> Hi Bart,
> 
> On Tue, 29 Jul 2008 18:25:14 +0200 Bartlomiej Zolnierkiewicz <[email-masked]> wrote:
> >
> > I keep reverting commit 0e3638d1e04040121af00195f7e4628078246489 ("warn
> > when statically-allocated kobjects are used") with each linux-next release
> > to make it work on my x86_32 laptop (http://lkml.org/lkml/2008/7/19/114).
> > 
> > Depending on the day I either forget to revert it on a first try or (lead by
> > incurable optimism) I don't try to revert it in hope that it was fixed.
> > 
> > Unfortunately the result is always the same cursing-during-qemu-test-run
> > -> git-revert -> recompile cycle and a needless time loss.
> > 
> > Could we have some action taken please?
> 
> I have reverted that commit from linux-next today (its id has changed)
> and will do so until Greg or Dave tells me it has been fixed.  To make
> life easier for me, Greg, it would be nice if you removed it from your
> series until that time.

Thanks but since now there is a fix (even two!) for the issue and Dave's
patch has the value of catching real bugs maybe we could have one of the
fixes in linux-next instead of revert?

PS ironically today's linux-next broke xorg for me... call me lucky...

Bart